%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	Python library and set of tools for generating basic two-dimensional statistical visualizations

Packager:	Lawrence R. Rogers (lrr@cert.org)

%define name netsa-rayon
%define version 1.4.3
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	Rayon visualization toolkit

Group:		Development/Libraries
License:	GPL
Url:		http://tools.netsa.cert.org/rayon/index.html
Source:		http://tools.netsa.cert.org/releases/rayon-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if 0%{?rhel} == 5
BuildRequires:  python26 python26-devel
%else
BuildRequires:	python-devel >= 2.6
%endif
BuildRequires:	netsa-python >= 1.4.2
Requires:	netsa-python >= 1.4.2
Prefix:		%{_prefix}

%description
Rayon is a Python library and set of tools for generating basic
two-dimensional statistical visualizations. Rayon can be used to
automate reporting; provide data visualization in command-line, GUI or
web applications; or do ad-hoc exploratory data analysis.

%prep
%setup -q -n rayon-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot} --record=INSTALL_RECORD
# Hack around RPM "helpfully" auto-compressing man pages
%if 0%{?rhel} != 5
sed -i s@/usr/share/man/man\\\(.\*\\\)@/usr/share/man/man\\1.gz@ INSTALL_RECORD
%endif
cd pipevis
%{__python} setup.py install --root %{buildroot} --record=INSTALL_RECORD


%check
%{__python} setup.py check
cd pipevis
%{__python} setup.py check

%clean
rm -rf %{buildroot}

%files -f INSTALL_RECORD
%defattr(-,root,root,-)

%package -n netsa-rayon-pipevis
Group: Applications/Internet
Summary: Pipeline alert visualization web application
Version: 0.0
Release: 3
Requires: netsa-rayon >= %{version}

%description -n netsa-rayon-pipevis
An application for visualizing incoming alert data from the NetSA
Analysis Pipeline

%files -n netsa-rayon-pipevis -f pipevis/INSTALL_RECORD
%defattr(-,root,root,-)


%changelog
* Tue Dec 17 2013 Lawrence R. Rogers <lrr@cert.org> 1.4.3-1
* Release 1.4.3-1
	Version 1.4.3
	* All rytools now implement the --first-line-colnames switch. If the
	  first line of input is column names without any other indication
	  (e.g., the text output of SiLK tools), the tool will read the
	  names and use them appropriately. (When using SiLK tools as
	  input to rytools, the user must still strip the last delimiter
	  using --no-final-delimiter or --delimited.)

	* Bugfixes.

* Mon Jul 29 2013 Lawrence R. Rogers <lrr@cert.org> 1.4.2-1
* Release 1.4.2-1
	Version 1.4.2

* Tue Feb 5 2013 Lawrence R. Rogers <lrr@cert.org> 1.4.1-1
* Release 1.4.1-1
	+ Support for parsing and displaying IPv6 addresses.
	+ Fix error causing rytimeseries to crash when no time tick marks were to be drawn.
	+ Documentation cleanup.

* Fri Jan 4 2013 Lawrence R. Rogers <lrr@cert.org> 1.4.0-2
* Release 1.4.0-2
  * rytools
    + New tool: =rytimeseries= - plot single or multiple time series in one of several styles.

    + New tool: =rymkhilbert-overlays= - create images from IP ranges (such as those output by SiLK prefix maps) that can be used as overlay images for =ryhilbert=.

    + New tool: =rypiechart= - draw pie charts.

    + All tools can now take their input from configuration files.

  * Datasets
    + Datasets can now take iterators as input.

    + The =len= function can now be used on a Dataset, returning the number of rows in the Dataset (identical to the =get_num_rows= method).

    + Dataset.partition can now partition data on a composite key.

    + Column objects containing the same data type may now be added to produce a third column containing the first column's data followed
      by the second. =ConstantColumn= and =MultiColumn= objects do not support this operation.

  * Scales
    + Add =LinearBinnedScale= and =TimeBinnedScale= to represent linearly-scaled numeric and time data in discrete bins. These scales
      are ranged scales, so they can be used in plots that take ranged scales, such as bar plots.

    + =LinearScale= now accepts only int or float data. Attempts to attach non-numeric data to =LinearScale= now fail when the attachment is made, not later when attempting to render the data.

  * Markers
    + Add the =Arrow= (nickname: =arrow=) marker. =Arrow= can be customized to generate an arrowhead with the correct direction,
      width, etc. =LeftArrow=, =RightArrow=, =UpArrow= or =DownArrow= (nicknames: =larrow=, =rarrow=, =uarrow=, =darrow=) may be used to
      quickly get arrows pointing in the obvious cardinal directions.

  * Tick specifications
    + Add =every(n)= specification. (i.e., "Place a tick every 10 units.")

  * Low-level drawing
    + It is now possible to draw shapes containing both lines and arcs. (Previously, only circles, lines and polygons consisting only of lines were possible.)

  * Better error handling
    + Certain errors will now be caught when the chart is created (i.e., where the error is introduced) and not when the chart is
      rendered. Additionally, both some chart building and rendering errors now have more context to help the user isolate the source of the bug.

  * Documentation
    + Man pages are now available on the website with the rest of the documentation.

    + Man pages have been revised.

  * Releases now available as RPMs. Tested on RHEL 6 and Centos 6.

  * Other
    + Numerous bugfixes and smaller improvements.

    + Several APIs have been deprecated in favor of newer ones. The older APIs will continue to work until Rayon 2.x.

* Wed Jan 25 2012 Lawrence R. Rogers <lrr@cert.org> 1.4.0-1
* Release 1.4.0-1
	New scale types: LinearBinnedScale and TimeBinnedScale
	New marker type: Arrow
	Pipevis web application distributed with Rayon. Pipevis visualizes the output of the NetSA Analysis Pipeline's Watchlist alerts and YAF's status messages.
	Additional unit tests. Tests are installed in the rayon.test package.
	Documentation improvements.
	Bugfixes and stability enhancements.

* Fri Sep 9 2011 Lawrence R. Rogers <lrr@cert.org> 1.3.2-1
* Release 1.3.3-1
	* Add hilbert.h to distribution.
	* Toolbox.new_tickset_from_tick_tuples now takes iterables as input.
	* Additional/clarified documentation.
	* Minor bugfixes.
